Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slanhs

    java.lang.Object
      org.netlib.lapack.Slanhs

    public class Slanhs

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLANHS  returns the value of the one norm,  or the Frobenius norm, or
     *  the  infinity norm,  or the  element of  largest absolute value  of a
     *  Hessenberg matrix A.
     *
     *  Description
     *  ===========
     *
     *  SLANHS returns the value
     *
     *     SLANHS = ( max(abs(A(i,j))), NORM = 'M' or 'm'
     *              (
     *              ( norm1(A),         NORM = '1', 'O' or 'o'
     *              (
     *              ( normI(A),         NORM = 'I' or 'i'
     *              (
     *              ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     *
     *  where  norm1  denotes the  one norm of a matrix (maximum column sum),
     *  normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     *  normF  denotes the  Frobenius norm of a matrix (square root of sum of
     *  squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix no
     *
     *  Arguments
     *  =========
     *
     *  NORM    (input) CHARACTER*1
     *          Specifies the value to be returned in SLANHS as described
     *          above.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.  When N = 0, SLANHS is
     *          set to zero.
     *
     *  A       (input) REAL array, dimension (LDA,N)
     *          The n by n upper Hessenberg matrix A; the part of A below the
     *          first sub-diagonal is not referenced.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(N,1).
     *
     *  WORK    (workspace) REAL array, dimension (MAX(1,LWORK)),
     *          where LWORK >= N when NORM = 'I'; otherwise, WORK is not
     *          referenced.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`Slanhs()`

Method Summary
`static float` | `slanhs(java.lang.String norm, int n, float[] a, int _a_offset, int lda, float[] work, int _work_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slanhs

    public Slanhs()

Method Detail

### slanhs

    public static float slanhs(java.lang.String norm,
                               int n,
                               float[] a,
                               int _a_offset,
                               int lda,
                               float[] work,
                               int _work_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD